[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# EFOpenError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Exception raised when an error occurred during creation of a TFileStream

## Declaration

Source position: classesh.inc line 127

`type EFOpenError = class(EStreamError)`

## Inheritance

`EFOpenError` |  | Exception raised when an error occurred during creation of a TFileStream
`EStreamError` |  | Exception raised when an error occurs during read or write operations on a stream.
`Exception` |  | Base class of all exceptions.
`TObject`

## Description

When the operating system reports an error during the opening of a file in the Filestream Constructor, a EFOpenError is raised.

## See also

EStreamError |  | Exception raised when an error occurs during read or write operations on a stream.
EFCreateError |  | Exception raised when an error occurred during creation of a TFileStream stream.